Loading...
Searching...
No Matches
Catch::ExceptionTranslatorRegistrar Class Reference

`#include <catch_amalgamated.hpp>`

## Classes

class | ExceptionTranslator

## Public Member Functions

template<typename T>
| ExceptionTranslatorRegistrar (std::string(*translateFunction)(T const &))

## Constructor & Destructor Documentation

## ExceptionTranslatorRegistrar()

template<typename T>

Catch::ExceptionTranslatorRegistrar::ExceptionTranslatorRegistrar | ( | std::string(* | translateFunction )(T const &) | ) |

inline

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp